/* prf_deutsch.h */
/* V1.1 10-3-92  */

/* Globals */
#define T_PRF          "PrintFiles "
#define T_VERSION      "V0.9d "
#define T_COPYRIGHT    " 1992 by K.Klingbeil "
#define T_MENUITEM     T_PRF T_VERSION
#define T_APPICON      "Drucker"
#define T_DISPLAYNAME  "***" T_PRF T_VERSION "Am Drucken" "***"
#define T_PAGE         "Seite "
#define T_PAGES        " Seiten "
#define T_PRINTED      " gedruckt "
#define DATE_FORMAT    " %s, %2d. %s %d",dayname[date->tm_wday],date->tm_mday,monthname[date->tm_mon],date->tm_year + 1900
#define TIME_FORMAT    " %2d:%02d:%02d",date->tm_hour,date->tm_min,date->tm_sec
#define NAME_FORMAT    " %s ",name
#define DEFAULT_HEADLINE ""
#define DEFAULT_FOOTLINE ""


#define T_SUNDAY       "Sonntag "
#define T_MONDAY       "Montag "
#define T_TUESDAY      "Dienstag "
#define T_WEDNESDAY    "Mittwoch "
#define T_THURSDAY     "Donnerstag "
#define T_FRIDAY       "Freitag "
#define T_SATURDAY     "Samstag "

#define T_JAN          "Januar "
#define T_FEB          "Februar "
#define T_MAR          "Mrz "
#define T_APR          "April "
#define T_MAY          "Mai "
#define T_JUNE         "Juni "
#define T_JULY         "Juli "
#define T_AUG          "August "
#define T_SEP          "September "
#define T_OCT          "Oktober "
#define T_NOV          "November "
#define T_DEC          "Dezember "

/* Requester */

#define ABOUT_LINE1 T_PRF "Information "
#define ABOUT_LINE2 T_PRF T_VERSION "\n" T_COPYRIGHT
#define ABOUT_LINE3 "*OK*|*OK*|*OK*"

#define QUIT_LINE1 T_PRF "Fenster schlieen "
#define QUIT_LINE2 "Was jetzt ? "
#define QUIT_LINE3 "Beenden|Fenster schlieen|Hoppla, zurck"

#define STOP_LINE1 "Drucken Unterbrochen"
#define STOP_LINE2 "Was jetzt ? "
#define STOP_LINE3 "Abbrechen|Hoppla, weiter"

#define FINAL_LINE1 T_PRF "beenden"
#define FINAL_LINE2 "Wollen Sie " T_PRF "wirklich beenden ?"
#define FINAL_LINE3 "Nein| ** Ja **"

/* Windows */
#define SCREEN_TITLE     T_PRF T_VERSION T_COPYRIGHT
#define SWD_TITLE        T_PRF "KontrollFenster"
#define PWD_TITLE        T_PRF "Druckereinstellung"
#define FILEREQ_TITLE    T_PRF "Datei an die Liste anhngen"
#define SAVEPREFS_TITLE  T_PRF "Einstellungen sichern"


/* Gadgets */
#define GAD_PwdButton      "Druck_er"
#define KEY_OPENPWD_L      'e'
#define KEY_OPENPWD_U      'E'
#define GAD_About          "_ber"
#define KEY_ABOUT_L        ''
#define KEY_ABOUT_U        ''
#define GAD_Headline       "_Kopfzeile"
#define KEY_HEADL_L        'k'
#define KEY_HEADL_U        'K'
#define GAD_Footline       "F_uzeile"
#define KEY_FOOTL_L        'u'
#define KEY_FOOTL_U        'U'
#define GAD_Date           "D_atum"
#define KEY_DATE_L         'a'
#define KEY_DATE_U         'A'
#define GAD_Time           "_Zeit"
#define KEY_TIME_L         'z'
#define KEY_TIME_U         'Z'
#define GAD_Filename       "_Name"
#define KEY_NAME_L         'n'
#define KEY_NAME_U         'N'
#define GAD_Pagenumber     "_Seitenzahlen"
#define KEY_PAGE_L         's'
#define KEY_PAGE_U         'S'
#define GAD_Linenumber     "Zei_lennummern"
#define KEY_LINE_L         'l'
#define KEY_LINE_U         'L'
#define GAD_CRLF           "_CR/LF"
#define KEY_CRLF_L         'c'
#define KEY_CRLF_U         'C'
#define GAD_FF             "_FF"
#define KEY_FF_L           'f'
#define KEY_FF_U           'F'
#define GAD_Filereq        "Aus_wahl"
#define KEY_FILEREQ_L      'w'
#define KEY_FILEREQ_U      'W'
#define GAD_Remove         "L_schen"
#define KEY_REMOVE_L       ''
#define KEY_REMOVE_U       ''
#define GAD_Print          "_Drucken"
#define KEY_PRINT_L        'd'
#define KEY_PRINT_U        'D'
#define GAD_quit           "Abbruch _Q"
#define KEY_QUIT_L         'q'
#define KEY_QUIT_U         'Q'
#define GAD_Quality1       "Schnellschrift"
#define GAD_Quality2       "Schnschrift"
#define GAD_Pitch1         "_6 Zeilen/inch"
#define KEY_PITCH6         '6'
#define GAD_Pitch2         "_8 Zeilen/inch"
#define KEY_PITCH8         '8'
#define GAD_CPI10           "1_0 CPI"
#define KEY_CPI10           '0'
#define GAD_CPI12           "1_2 CPI"
#define KEY_CPI12           '2'
#define GAD_CPI15           "1_5 CPI"
#define KEY_CPI15           '5'
#define GAD_Linesperpage    "Zeilen/Seite"
#define GAD_Rmargin         "Rechter Rand"
#define GAD_Lmargin         "Linker Rand"
#define GAD_Saveprefs       "Sichern"
#define GAD_Loadprefs       "Laden"
#define GAD_PPrint          GAD_Print

/* errors */
#define ERROR_ILBM T_VERSION "kann keine IFF_ILBM Dateien drucken !\n"
#define ERROR_FTXT T_VERSION "kann (noch) keine IFF_FTXT Dateien drucken !\n"
#define ERROR_PROG T_VERSION "kann keine Programme drucken !\n"
#define ERROR_ICON T_VERSION "kann (noch) keine Icons drucken !\n"
#define ERROR_DIR  T_VERSION "kann keine Verzeichnisse drucken !\n"

/* prefs */
#define T_PREFSHEADER  "/* " T_PRF T_VERSION " Preferences - Arexx File */\n"
#define T_PREFSHEADER1 "\noptions results\n"
#define T_PREFSHEADER2 "address printfiles\n\n"

#define RT_RX_RESET       "     /* alle Einstellungen zurcksetzen */"
#define RT_RX_INSFILE     "     /* Datei in die Liste eintragen    */"
#define RT_RX_OPENWINDOW  "     /* Das Kontrollfenster ffnen      */"
#define RT_RX_PAGE        "     /* Drucken mit Seitenzahlen        */"
#define RT_RX_FILE        "     /* Drucken mit Dateinamen in der Kopfzeile */"
#define RT_RX_TIME        "     /* Drucken mit Uhrzeit in der Kopfzeile    */"
#define RT_RX_DATE        "     /* Drucken mit Datum in der Kopfzeile      */"
#define RT_RX_LINE        "     /* Drucken mit Zeilennummern               */"
#define RT_RX_FF          "     /* Seitenvorschub am Dateiende             */"
#define RT_RX_CRLF        "     /* Zustzlicher Zeilenvorschub nach jeder Zeile */"
#define RT_RX_HEAD        "     /* Kopfzeile */"
#define RT_RX_FOOT        "     /* Fuzeile  */"
#define RT_RX_LINES       "     /* Zeilen pro Seite */"
#define RT_RX_RMARGIN     "     /* Linker Rand      */"
#define RT_RX_LMARGIN     "     /* Rechter Rand     */"
#define RT_RX_DRAFT       "     /* Schnellschrift (Entwurfsqualitt) */"
#define RT_RX_LQ          "     /* Schnschrift   (NLQ-Qualitt)     */"
#define RT_RX_PITCH6      "     /* 6 Zeilen pro Inch */"
#define RT_RX_PITCH8      "     /* 8 Zeilen pro Inch */"
#define RT_RX_10CPI       "     /* Normaler Zeichenabstand (groe Schrift)       */"
#define RT_RX_12CPI       "     /* Elite-Zeichenabstand    (mittelgroe Schrift) */"
#define RT_RX_15CPI       "     /* Fine-Zeichenabstand     (kleine Schrift)      */"

