/* prf_filereq.c */
/* V1.1 3-9-92 */

#include "prf.h"

void   MakeFileReq(UBYTE *,UBYTE *);


struct FileRequester *FileReq;
struct TagItem       FRTags[2] =
                     {
                      ASL_Hail,NULL,
                      TAG_DONE,0L
                     };

void Prf_SavePrefs(struct prf_info *info,UBYTE *filename)
{
  MakeFileReq(SAVEPREFS_TITLE,filename);
}

void Prf_FileReq(struct prf_info *info)
{
 char f[STR_SIZE];
 *(f) = '\0';
 MakeFileReq(FILEREQ_TITLE,f);
 if(*f)
 {
  long cmd = CMD_INSERTTAIL;
  info->Special1 = (APTR)f;
  info->Special2 = (APTR)&cmd;
  InsertName(info);
  info->Special1 = NULL;
  info->Special2 = NULL;
 }
}

void MakeFileReq(UBYTE *hail,UBYTE *filename)
{
 FRTags[0].ti_Data = (ULONG)hail;
 if(FileReq = (struct FileRequester *)AllocAslRequest(ASL_FileRequest,FRTags))
 {
  if(RequestFile(FileReq))
  {
   strcpy(filename,FileReq->rf_Dir);
   AddPart(filename,FileReq->rf_File,STR_SIZE);
  }
 }
 FreeAslRequest((APTR)FileReq);
}


