/* prf_english.h */
/* V1.1 10-3-92  */

/* Globals */
#define T_PRF          "PrintFiles "
#define T_VERSION      "V0.9e "
#define T_COPYRIGHT    " 1992 by K.Klingbeil "
#define T_MENUITEM     T_PRF T_VERSION
#define T_APPICON      "Printer"
#define T_DISPLAYNAME  "***" T_PRF T_VERSION " Printing" "***"
#define T_PAGE         " Page "
#define T_PAGES        " Pages "
#define T_PRINTED      " print "
#define DATE_FORMAT    " %s, %s %2d, %d",dayname[date->tm_wday],monthname[date->tm_mon],date->tm_mday,date->tm_year + 1900
#define TIME_FORMAT    " %2d:%02d:%02d",date->tm_hour,date->tm_min,date->tm_sec
#define NAME_FORMAT    " %s ",name
#define DEFAULT_HEADLINE ""
#define DEFAULT_FOOTLINE ""


#define T_SUNDAY       "Sunday "
#define T_MONDAY       "Monday "
#define T_TUESDAY      "Tuesday "
#define T_WEDNESDAY    "Wednesday "
#define T_THURSDAY     "Thursday "
#define T_FRIDAY       "Friday "
#define T_SATURDAY     "Saturday "

#define T_JAN          "January "
#define T_FEB          "February "
#define T_MAR          "March "
#define T_APR          "April "
#define T_MAY          "May "
#define T_JUNE         "June "
#define T_JULY         "July "
#define T_AUG          "August "
#define T_SEP          "September "
#define T_OCT          "October "
#define T_NOV          "November "
#define T_DEC          "December "

/* Requester */

#define ABOUT_LINE1 T_PRF "Information "
#define ABOUT_LINE2 T_PRF T_VERSION "\n" T_COPYRIGHT
#define ABOUT_LINE3 "*OK*|*OK*|*OK*"

#define QUIT_LINE1 T_PRF " Close window"
#define QUIT_LINE2 " What to do ? "
#define QUIT_LINE3 "Quit | Close Window | Oops!"

#define STOP_LINE1 "Printing stopped"
#define STOP_LINE2 "What to do ? "
#define STOP_LINE3 "Abort Print | Oops, continue"

#define FINAL_LINE1 T_PRF "Quit" T_PRF
#define FINAL_LINE2 "Do yu really want to quit " T_PRF "?"
#define FINAL_LINE3 " No | ** Yes **"

/* Windows */
#define SCREEN_TITLE     T_PRF T_VERSION T_COPYRIGHT
#define SWD_TITLE        T_PRF "Control window"
#define PWD_TITLE        T_PRF "Prefs window"
#define FILEREQ_TITLE    T_PRF "Append file to list"
#define SAVEPREFS_TITLE  T_PRF "Save Preferences"


/* Gadgets */
#define GAD_PwdButton      "Pr_efs"
#define KEY_OPENPWD_L      'e'
#define KEY_OPENPWD_U      'E'
#define GAD_About          "Abo_ut"
#define KEY_ABOUT_L        'u'
#define KEY_ABOUT_U        'U'
#define GAD_Headline       "_Headline"
#define KEY_HEADL_L        'h'
#define KEY_HEADL_U        'H'
#define GAD_Footline       "F_ootline"
#define KEY_FOOTL_L        'o'
#define KEY_FOOTL_U        'O'
#define GAD_Date           "D_ate"
#define KEY_DATE_L         'a'
#define KEY_DATE_U         'A'
#define GAD_Time           "_Time"
#define KEY_TIME_L         't'
#define KEY_TIME_U         'T'
#define GAD_Filename       "_Name"
#define KEY_NAME_L         'n'
#define KEY_NAME_U         'N'
#define GAD_Pagenumber     "Pagenum_ber"
#define KEY_PAGE_L         'b'
#define KEY_PAGE_U         'B'
#define GAD_Linenumber     "_Linenumber"
#define KEY_LINE_L         'l'
#define KEY_LINE_U         'L'
#define GAD_CRLF           "_CR/LF"
#define KEY_CRLF_L         'c'
#define KEY_CRLF_U         'C'
#define GAD_FF             "_FF"
#define KEY_FF_L           'f'
#define KEY_FF_U           'F'
#define GAD_Filereq        "Reque_st"
#define KEY_FILEREQ_L      's'
#define KEY_FILEREQ_U      'S'
#define GAD_Remove         "_Remove"
#define KEY_REMOVE_L       'r'
#define KEY_REMOVE_U       'R'
#define GAD_Print          "_Print"
#define KEY_PRINT_L        'p'
#define KEY_PRINT_U        'P'
#define GAD_quit           "_Quit"
#define KEY_QUIT_L         'q'
#define KEY_QUIT_U         'Q'
#define GAD_Quality1       "Draft"
#define GAD_Quality2       "Nlq"
#define GAD_Pitch1         "_6 lines/inch"
#define KEY_PITCH6         '6'
#define GAD_Pitch2         "_8 lines/inch"
#define KEY_PITCH8         '8'
#define GAD_CPI10           "1_0 CPI"
#define KEY_CPI10           '0'
#define GAD_CPI12           "1_2 CPI"
#define KEY_CPI12           '2'
#define GAD_CPI15           "1_5 CPI"
#define KEY_CPI15           '5'
#define GAD_Linesperpage    "lines/Page"
#define GAD_Rmargin         "Right margin"
#define GAD_Lmargin         "Left margin"
#define GAD_Saveprefs       "Save"
#define GAD_PPrint          GAD_Print

/* errors */
#define ERROR_ILBM T_VERSION "can't print IFF_ILBM files !\n"
#define ERROR_FTXT T_VERSION "can't print IFF_FTXT files (yet) !\n"
#define ERROR_PROG T_VERSION "can't print Programs  !\n"
#define ERROR_ICON T_VERSION "can't print Icons (yet) !\n"
#define ERROR_DIR  T_VERSION "can't print Drawers !\n"

/* prefs */
#define T_PREFSHEADER  "/* " T_PRF T_VERSION " Preferences - Arexx File */\n"
#define T_PREFSHEADER1 "\noptions results\n"
#define T_PREFSHEADER2 "address printfiles\n\n"

#define RT_RX_RESET       "     /* reset all buttons and clear the list */"
#define RT_RX_INSFILE     "     /* insert file into the list */"
#define RT_RX_OPENWINDOW  "     /* open the control window */"
#define RT_RX_PAGE        "     /* print page count */"
#define RT_RX_FILE        "     /* print filename */"
#define RT_RX_TIME        "     /* print time */"
#define RT_RX_DATE        "     /* print date */"
#define RT_RX_LINE        "     /* print linennumbers */"
#define RT_RX_FF          "     /* print FormFeed after each file */"
#define RT_RX_CRLF        "     /* print additional cr after each line */"
#define RT_RX_HEAD        "     /* set headline string */"
#define RT_RX_FOOT        "     /* set footline string */"
#define RT_RX_LINES       "     /* number of lines per page */"
#define RT_RX_RMARGIN     "     /* set left margin */"
#define RT_RX_LMARGIN     "     /* set right margin */"
#define RT_RX_DRAFT       "     /* set print quality to draft */"
#define RT_RX_LQ          "     /* set print quality to nlq */"
#define RT_RX_PITCH6      "     /* set 1/6 spacing */"
#define RT_RX_PITCH8      "     /* set 1/8 spacing */"
#define RT_RX_10CPI       "     /* set pitch to normal */"
#define RT_RX_12CPI       "     /* set pitch to elite */"
#define RT_RX_15CPI       "     /* set pitch to condensed */"

